Page Summary
-
Creates or updates the product delivery time for a specific merchant using the
ProductDeliveryTimeobject. -
The request is sent as a POST method to the provided URL, with the merchant ID specified as a path parameter.
-
Authorization is required using OAuth 2.0 with the
https://www.googleapis.com/auth/contentscope. -
The request and response bodies both utilize the
ProductDeliveryTimeobject for data exchange.
Creates or updates the delivery time of a product.
HTTP request
POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/productdeliverytime
Path parameters
| Parameters | |
|---|---|
merchantId |
The Google merchant ID of the account that contains the product. This account cannot be a multi-client account. |
Request body
The request body contains an instance of ProductDeliveryTime.
Response body
If successful, the response body contains a newly created instance of ProductDeliveryTime.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.